Subject: Re: [ANNOUNCEMENT] Updated: bash-2.05-4
From: Frank-Michael Moser <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Date: Thu, 03 May 2001 20:08:48 +0200

I just saw, that it is no question of being *.exe, script or builtin.
Here is a listing of my bin directory and you see cvsrelease as
executable:

moser@FMM ~/bin
$ l
total 19
-rwx------   1 544      Kein           37 Apr 10 15:13 beep*
-rwx------   1 544      Kein          859 Apr 10 15:13 completejava*
-rwx------   1 544      Kein          241 Apr 10 15:13 contains*
-rwx------   1 544      Kein          215 Apr 17 15:55 cvs-status*
-rwx------   1 544      Kein          666 Apr 17 19:28 cvsrelease*
-rwx------   1 544      Kein          760 Apr 10 15:13 jai*
-rwx------   1 544      Kein          504 Apr 25 22:42 jedit*

Here is the output of cvs<TAB>

moser@FMM ~/bin
$ cvs
cvs-status  cvs.exe     cvsedit     cvsunlock

Looks strange...?!

Typing ./cvs<TAB> then gives a completion:

moser@FMM ~/bin
$ ./cvs-status

Only command completion suffers, file completion works, 
cat "cvs<TAB>" gives:

moser@FMM ~/bin
$ cat cvs
cvs-status  cvsrelease

Both scripts start with #!/bin/bash

What a kind of user-problem should this be ?

Frank-Michael.

Corinna Vinschen wrote:
> 
> On Thu, May 03, 2001 at 05:56:33PM +0200, Frank-Michael Moser wrote:
> > The problem described in thread "bash 2.05-3: completion"
> > resists, in bash-2.05-4, too: completion only shows *.exe
> > and builtins.
> 
> I'm pretty sure it's a user error. I have just tried to
> use bash's completion to complete my script called `kssh'
> by typing ks<TAB> and it worked as expected, both, with
> -3 and -4.
> 
> Corinna
> 
> --
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Developer                                mailto:[email-masked]
> Red Hat, Inc.
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
------------------------------------------------------------
DECODON GmbH                        phone: +49(0)3834 515230
W.-Rathenau-Str. 49a                  fax: +49(0)3834 515239
17489 Greifswald                    email: [email-masked]
Germany                               web:   www.decodon.com
------------------------------------------------------------

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple